#!/bin/bash
### BEGIN INIT INFO
# Provides:          https://www.helpchat.com/
# Required-Start:    none
# Required-Stop:     none
# Default-Start:     none
# Default-Stop:      none
# Short-Description: Check Linux Server
# Description:       Check Linux Server Service Daemon
### END INIT INFO

echo

echo "HelpChat Login Server:"
echo "-------------------------"
pgrep hclogin
echo

echo "HelpChat Kernel Server (Thread and Process Information):"
echo "-------------------------"
echo "Number of Threads (per process):"
ps -o nlwp `pgrep hckernel`
echo "Process and Thread Tree Structure:"
pstree -p `pgrep hckernel` -T
echo

echo "HelpChat Data Server:"
echo "-------------------------"
pgrep hcdata
echo


echo "HelpChat Admin Server:"
echo "-------------------------"
pgrep hcadmin
echo


exit 0
